Bug 23018 - APM restore fails to restart USB mouse
APM restore fails to restart USB mouse
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-12-29 22:18 EST by Scott Cohen
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 17:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Cohen 2000-12-29 22:18:23 EST
I have an NEC Ready 440T laptop with two USB ports.  I recently purchased a
Kensington optical mouse that works both for USB and PS/2.  The system
detected it fine and reconfigured gpm and X perfectly.  The only problem
is, if I suspend the laptop and then restore it, the power to the mouse
does not go back on.  To use it again I must unplug the mouse and then plug
it back in.  I'm using a 2.2.18 kernel I compiled with usb-uhci module for
the controller.

I don't have any other USB devices so I don't know if this is a problem
between USB and APM or if it is somehow specific to mice or this one in

This glitch doesn't prevent the device from being used, it is just an
annoyance.  I'm sending this to RedHat rather than the kernel list or the
APM people because I'm not sure if it has something to do with the script
APM uses to shutdown and restart devices, and if so whether or not RedHat
wrote their own script.  (/etc/sysconfig/apm-scripts I believe).

I also can't tell you if this happens with Windows, I'm assuming it is a
Linux only problem.  If you need any more information let me know.

Scott Cohen
Comment 1 Scott Cohen 2001-01-11 00:38:05 EST
I got kernel 2.4.0 and the problem is fixed.  Not sure exactly what was wrong,
maybe something in the USB backport?

Anyway, works fine now.
Comment 2 Bernhard Rosenkraenzer 2001-01-15 17:21:29 EST
I don't have access to USB hardware; is there a special command you 
need to execute in order to restart USB devices, or should the USB 
modules be unloaded and re-loaded?
Comment 3 Bernhard Rosenkraenzer 2001-07-17 07:33:19 EDT
does unloading and reloading the mousedev module fix this for you?
Comment 4 Bill Nottingham 2003-05-19 17:07:23 EDT
closed, no response

Note You need to log in before you can comment on or make changes to this bug.